<!DOCTYPE HTML>
<html layout:decorate="~{layouts/layout}" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:th="http://www.thymeleaf.org/" xml:lang="en">
<head> 
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width">
    <title>Write a message</title> 
    <link rel="stylesheet" href="css/header.css"/>
    <link rel="stylesheet" href="css/notifications.css"/>
    <script src="/js/writeMessage.js"></script>
    <script> setActualUserType('[[${session.user.type.typeId}]]')</script>
    <!-- Matomo -->
    <script>
        var _paq = window._paq = window._paq || [];
        /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
        _paq.push(['trackPageView']);
        _paq.push(['enableLinkTracking']);
        (function() {
        var u="//matomomufish.duckdns.org/";
        _paq.push(['setTrackerUrl', u+'matomo.php']);
        _paq.push(['setSiteId', '1']);
        var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
        g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
        })();
    </script>
</head>

<body>
    <main layout:fragment="content"> 
        <h3 id="title">Write a message</h3>   
        <aside id="aside-buttons">
            <a class="button" href="/writeMessage">Write</a>
            <a class="button" href="/receivedMessages">Received messages</a>
            <a class="button" href="/sentMessages">Sent messages</a>
        </aside>

        <div id="notifications-cont">
            <div class="send-buttons-cont" th:if="${session.visible == 1}">
                <select name="selectedBoatId" class="form-control" id="userboatList">
                    <option th:each="boat : ${session.userBoatList}" th:value="${boat.boatId}" th:text="${boat.name}"></option>
                </select>
                <a class="sendButton" id="sendButton"  href="/sendLocation"><img class="sendButtonsImg" src="images/send_location.jpg" alt="Press to send current location" onclick="_paq.push(['trackEvent', 'Notifications', 'Send location Clicked', 'Send location']);"><span>Send Location</span></a>
            </div>
            
            <form action="/handleMessage" method="get" id="form-cont">
                <label class="leftLabel" for="exampleFormControlSelect1">From:</label>
                <input class="form-control" type="text" th:placeholder="${session.user.username}" readonly>
                <div class="form-group">
                    <label class="leftLabel" for="exampleFormControlSelect1">To:</label>
                    <select name="messageDestination" class="form-control" id="portControlSelect1" data-mdb-filter="true">
                        <option th:each="user : ${session.userList}" th:value="${user.userId}" th:text="${user.username}"></option>
                    </select>
                </div>  
                <div class="form-group">
                    <label class="leftLabel" for="exampleFormControlTextarea1">Title:</label>
                    <textarea name="messageTitle" class="form-control" rows="1" required></textarea>
                </div>
                <div class="form-group">
                    <label class="leftLabel" for="exampleFormControlTextarea1">Message:</label>
                    <textarea th:if="${session.visible == 0}" name="messageText" class="form-control" id="exampleFormControlTextarea1" rows="8" required></textarea>
                    <textarea th:if="${session.visible == 1}" name="messageText" class="form-control" id="exampleFormControlTextarea1" rows="4" required></textarea>
                </div>
                <button type="submit" class="btn btn-primary">Send</button>
            </form>
        </div>
    </main>  
</body>
</html>
